/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: Personnel.java 69332 2012-12-26 21:07:22Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.inheritance.nonentity;

/**
 * A non-entity super class (can be abstract or concrete) for entities.  
 */
public class Personnel implements java.io.Serializable {
    
    /**
     * non-persistence field, and it should not participate in any persistence
     * operations.
     */
    protected java.sql.Date hireDate;
    
    public java.sql.Date getHireDate() {
        return hireDate;
    }
    public void setHireDate(java.sql.Date hireDate) {
        this.hireDate = hireDate;
    }


    public String getFullTimeRep() {
            return "Mabel Murray";
        }

    public String getPartTimeRep() {
           return "John Cleveland";
    }


}
